# - Try to find ODE
# Once done this will define
#  
#  ODE_FOUND          - system has ODE
#  ODE_INCLUDE_DIR    - the ODE include directory
#  ODE_LIBRARY_XYZ_DS - Link a specific ODE build

# NOTE: We don't need drawstuff library / headers

find_path( ODE_INCLUDE_DIR ode/ode.h
	PATHS ${REND_DEP_INC_DIR})

# libraries => Depends on configuration

find_library( ODE_LIBRARY_DBG_D ode_doubled
	PATHS ${REND_DEP_LIB_DIR}/ode)
find_library( ODE_LIBRARY_DBG_S ode_singled
	PATHS ${REND_DEP_LIB_DIR}/ode)
find_library( ODE_LIBRARY_REL_D ode_double
	PATHS ${REND_DEP_LIB_DIR}/ode)
find_library( ODE_LIBRARY_REL_S ode_single
	PATHS ${REND_DEP_LIB_DIR}/ode)

if(ODE_LIBRARY_DBG_D AND ODE_LIBRARY_DBG_S AND 
   ODE_LIBRARY_REL_D AND ODE_LIBRARY_REL_S)
	set(ODE_LIBRARIES_FOUND "TRUE")
endif()

if(ODE_INCLUDE_DIR AND ODE_LIBRARIES_FOUND)
	SET(ODE_FOUND "YES")
endif()

MARK_AS_ADVANCED(
  ODE_INCLUDE_DIR
  ODE_LIBRARY_DBG_D
  ODE_LIBRARY_DBG_S
  ODE_LIBRARY_REL_D
  ODE_LIBRARY_REL_S
)
