/****************************************************************************
Copyright 2010 Bilkent University

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at
http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
****************************************************************************/
#include "REng/Geom/GeomPoint.h"

using namespace cml;

/************************************************************************/
/* GEOM POINT                                                           */
/************************************************************************/
/*

namespace REng{
	GeomPoint::GeomPoint(const Vector3& pos) : Geom(pos){;}
	GeomPoint::GeomPoint(){;}

	void GeomPoint::rotate_World(const Quaternion& qua){
		return;
	}

	void GeomPoint::setPosition(const Vector3& pos) {
		mPosition = pos;
	};
	void GeomPoint::set(const Vector3& pos) {
		mPosition = pos;
	};

	bool GeomPoint::canRotate() {
		return false;
	};
	bool GeomPoint::canScale() {
		return false;
	};
	bool GeomPoint::canTranslate() {
		return true;
	};

	GeomType GeomPoint::getType() const {
		return GeomTypePoint;
	};

}
*/
