/***********************************************************************
    filename:   CEGUIOpenGLViewportTarget.h
	 created:    Tue Feb 19 2010
	 author:     Adil Yalcin
*************************************************************************/
/****************************************************************************
Copyright 2010 Adil Yalcin

Licensed under the Apache License, Version 2.0 (the "License"); 
you may not use this file except in compliance with the License. 
You may obtain a copy of the License at 
http://www.apache.org/licenses/LICENSE-2.0 

Unless required by applicable law or agreed to in writing, software 
distributed under the License is distributed on an "AS IS" BASIS, 
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
See the License for the specific language governing permissions and 
limitations under the License. 
****************************************************************************/
#ifndef _CEGUIREngViewportTarget_h_
#define _CEGUIREngViewportTarget_h_

#include "CEGUIREngPrerequisites.h"
#include "CEGUIREngRenderTarget.h"

#include <REng/Prerequisites.h>

#include "CEGUIRect.h"

namespace CEGUI {

	class RENG_GUIRENDERER_API REngWindowTarget : public REngRenderTarget {
	public:
		REngWindowTarget(const Rect& area) { setArea(area); }
		bool isImageryCache() const { return false; }
	};

}

#endif  // end of guard _CEGUIREngViewportTarget_h_
